<?php
 

// EXIF tag name
$txt['exif_ImageWidth'] =                   "Image Width";                                            
$txt['exif_ImageLength'] =                  "Image Height";                                           
$txt['exif_BitsPerSample'] =                "Number of bits per component";                           
$txt['exif_Compression'] =                  "Compression";                                            
$txt['exif_PhotometricInterpretation'] =    "Pixel composition";                                      
$txt['exif_ImageDescription'] =             "Image title";                                            
$txt['exif_Make'] =                         "Manufacturer";                                           
$txt['exif_Model'] =                        "Model";                                                  
$txt['exif_StripOffsets'] =                 "Image data location";                                    
$txt['exif_Orientation'] =                  "Orientation";                                            
$txt['exif_SamplesPerPixel'] =              "Number of components";                                   
$txt['exif_RowsPerStrip'] =                 "Number of rows per strip";                               
$txt['exif_StripByteCounts'] =              "Bytes per compressed strip";                             
$txt['exif_XResolution'] =                  "X Resolution";                                           
$txt['exif_YResolution'] =                  "Y Resolution";                                           
$txt['exif_PlanarConfiguration'] =          "Image data arrangement";                                 
$txt['exif_ResolutionUnit'] =               "Resolution Unit";                                        
$txt['exif_TransferFunction'] =             "Transfer function";                                      
$txt['exif_Software'] =                     "Software Used";                                          
$txt['exif_DateTime'] =                     "File Change Date";                                       
$txt['exif_Artist'] =                       "Artist";                                                 
$txt['exif_WhitePoint'] =                   "White point chromaticity";                               
$txt['exif_PrimaryChromaticities'] =        "Chromaticities of primaries";                            
$txt['exif_JPEGInterchangeFormat'] =        "Offset to JPEG SOI";                                     
$txt['exif_JPEGInterchangeFormatLength'] =  "Bytes of JPEG data";                                     
$txt['exif_YCbCrCoefficients'] =            "Color space transformation matrix coefficients";         
$txt['exif_YCbCrSubSampling'] =             "Subsampling ratio of Y to C";                            
$txt['exif_YCbCrPositioning'] =             "Y and C positioning";                                    
$txt['exif_ReferenceBlackWhite'] =          "Pair of black and white reference values";               
$txt['exif_Copyright'] =                    "Copyright holder";                                       
$txt['exif_Exif_IFD_Pointer'] =             "Exif tag";                                               
$txt['exif_GPSInfo_IFD_Pointer'] =          "GPS tag";                                                
$txt['exif_ExposureTime'] =                 "Exposure Time";                                          
$txt['exif_FNumber'] =                      "F Number";                                          
$txt['exif_ExposureProgram'] =              "Exposure program";                                 
$txt['exif_SpectralSensitivity'] =          "Spectral sensitivity";                             
$txt['exif_ISOSpeedRatings'] =              "ISO Speed";                                        
$txt['exif_OECF'] =                         "Optoelectronic coefficient";                         
$txt['exif_ExifVersion'] =                  "Exif Version";                                     
$txt['exif_DateTimeOriginal'] =             "Date Taken";                                       
$txt['exif_DateTimeDigitized'] =            "Date Digitized";                                   
$txt['exif_ComponentsConfiguration'] =      "Components Configuration";                         
$txt['exif_CompressedBitsPerPixel'] =       "Compressed Bits Per Pixel";                        
$txt['exif_ShutterSpeedValue'] =            "Shutter Speed";                                    
$txt['exif_ApertureValue'] =                "Aperture Value";                                   
$txt['exif_BrightnessValue'] =              "Brightness";                                       
$txt['exif_ExposureBiasValue'] =            "Exposure Compensation";                            
$txt['exif_MaxApertureValue'] =             "Max Aperture";                                     
$txt['exif_SubjectDistance'] =              "Subject Distance";                                 
$txt['exif_MeteringMode'] =                 "Metering Mode";                                    
$txt['exif_LightSource'] =                  "Light Source";                                     
$txt['exif_Flash'] =                        "Flash Mode";                                       
$txt['exif_FocalLength'] =                  "Focal Length";                       
$txt['exif_SubjectArea'] =                  "Subject Area";                       
$txt['exif_MakerNote'] =                    "Manufacturer notes";                 
$txt['exif_UserComment'] =                  "User Comment";                       
$txt['exif_SubSecTime'] =                   "DateTime subseconds";                
$txt['exif_SubSecTimeOriginal'] =           "Date Original subseconds";           
$txt['exif_SubSecTimeDigitized'] =          "Date Digitized subseconds";          
$txt['exif_FlashPixVersion'] =              "Supported Flashpix version";         
$txt['exif_ColorSpace'] =                   "Color Space";                        
$txt['exif_PixelXDimension'] =              "Valid image width";                  
$txt['exif_PixelYDimension'] =              "Valid image height";                 
$txt['exif_RelatedSoundFile'] =             "Related audio file";          
$txt['exif_Interoperability_IFD_Pointer'] = "Interoperability tag";
$txt['exif_FlashEnergy'] =                  "Flash energy";                          
$txt['exif_SpatialFrequencyResponse'] =     "Spatial frequency response";            
$txt['exif_ExifImageWidth'] =               "Width";                                 
$txt['exif_ExifImageLength'] =              "Height";                                
$txt['exif_FocalPlaneXResolution'] =        "Focal Plane X Resolution";              
$txt['exif_FocalPlaneYResolution'] =        "Focal Plane Y Resolution";              
$txt['exif_FocalPlaneResolutionUnit'] =     "Focal Plane Resolution Unit";           
$txt['exif_SubjectLocation'] =              "Subject location";                      
$txt['exif_ExposureIndex'] =                "Exposure index";                        
$txt['exif_SensingMethod'] =                "Sensing Method";                        
$txt['exif_FileSource'] =                   "File Source";                           
$txt['exif_SceneType'] =                    "Scene type";                            
$txt['exif_CFAPattern'] =                   "CFA pattern";                           
$txt['exif_CustomRendered'] =               "Custom image processing";               
$txt['exif_ExposureMode'] =                 "Exposure mode";                         
$txt['exif_WhiteBalance'] =                 "White balance";                         
$txt['exif_DigitalZoomRatio'] =             "Digital zoom ratio";                    
$txt['exif_FocalLengthIn35mmFilm'] =        "Focal length in 35 mm film";            
$txt['exif_SceneCaptureType'] =             "Scene capture type";                    
$txt['exif_GainControl'] =                  "Gain control";                          
$txt['exif_Contrast'] =                     "Contrast";                              
$txt['exif_Saturation'] =                   "Saturation";                                    
$txt['exif_Sharpness'] =                    "Sharpness";                                     
$txt['exif_DeviceSettingDescription'] =     "Device settings description";                   
$txt['exif_SubjectDistanceRange'] =         "Subject distance range";                        
$txt['exif_ImageUniqueID'] =                "Unique image ID";                               
$txt['exif_GPSVersionID'] =                 "GPS tag version";                         
$txt['exif_GPSLatitudeRef'] =               "North or South Latitude";
$txt['exif_GPSLatitude'] =                  "Latitude";                       
$txt['exif_GPSLongitudeRef'] =              "East or West Longitude";
$txt['exif_GPSLongitude'] =                 "Longitude";                        
$txt['exif_GPSAltitudeRef'] =               "Altitude reference";
$txt['exif_GPSAltitude'] =                  "Altitude";                            
$txt['exif_GPSTimeStamp'] =                 "GPS time (atomic clock)";
$txt['exif_GPSSatellites'] =                "GPS satellites used for measurement";
$txt['exif_GPSStatus'] =                    "GPS receiver status";           
$txt['exif_GPSMeasureMode'] =               "GPS measurement mode";                           
$txt['exif_GPSDOP'] =                       "Measurement precision";                          
$txt['exif_GPSSpeedRef'] =                  "Speed unit";                         
$txt['exif_GPSSpeed'] =                     "Speed of GPS receiver";
$txt['exif_GPSTrackRef'] =                  "Reference for direction of movement";
$txt['exif_GPSTrack'] =                     "Direction of movement";           
$txt['exif_GPSImgDirectionRef'] =           "Reference for direction of image";
$txt['exif_GPSImgDirection'] =              "Direction of image";              
$txt['exif_GPSMapDatum'] =                  "Geodetic survey data used";
$txt['exif_GPSDestLatitudeRef'] =           "Reference for latitude of destination";
$txt['exif_GPSDestLatitude'] =              "Latitude of destination";         
$txt['exif_GPSDestLongitudeRef'] =          "Reference for longitude of destination";
$txt['exif_GPSDestLongitude'] =             "Longitude of destination";        
$txt['exif_GPSDestBearingRef'] =            "Reference for bearing of destination";
$txt['exif_GPSDestBearing'] =               "Bearing of destination";          
$txt['exif_GPSDestDistanceRef'] =           "Reference for distance to destination";
$txt['exif_GPSDestDistance'] =              "Distance to destination";         
$txt['exif_GPSProcessingMethod'] =          "Name of GPS processing method";
$txt['exif_GPSAreaInformation'] =           "Name of GPS area";                 
$txt['exif_GPSDateStamp'] =                 "GPS date";                              
$txt['exif_GPSDifferential'] =              "GPS differential correction";


// EXIF tag value
$txt['exif_orientation_1'] = "Normal";
$txt['exif_orientation_2'] = "Mirrored";
$txt['exif_orientation_3'] = "Upsidedown";
$txt['exif_orientation_4'] = "Upsidedown Mirrored";
$txt['exif_orientation_5'] = "90deg CW Mirrored";
$txt['exif_orientation_6'] = "90deg CCW";
$txt['exif_orientation_7'] = "90deg CCW Mirrored";
$txt['exif_orientation_8'] = "90deg CW";

$txt['exif_resolutionunit_1'] = "No Unit";
$txt['exif_resolutionunit_2'] = "Inch";
$txt['exif_resolutionunit_3'] = "Centimeter";

$txt['exif_ycbcrpositioning_1'] = "Pixel Array";
$txt['exif_ycbcrpositioning_2'] = "Datum Point";

$txt['exif_exposuretime_1'] = " seconds";

$txt['exif_exposureprogram_1'] = "Manual Control";
$txt['exif_exposureprogram_2'] = "Normal Program";
$txt['exif_exposureprogram_3'] = "Aperture Priority";
$txt['exif_exposureprogram_4'] = "Shutter Priority";
$txt['exif_exposureprogram_5'] = "Creative Program";
$txt['exif_exposureprogram_6'] = "Action Program";
$txt['exif_exposureprogram_7'] = "Portrait Mode";
$txt['exif_exposureprogram_8'] = "Landscape Mode";

$txt['exif_shutterspeedvalue_1'] = " seconds";

$txt['exif_exposurebiasvalue_1'] = " Step";

$txt['exif_subjectdistance_1'] = " M";

$txt['exif_meteringmode_0'] = "Unknown";
$txt['exif_meteringmode_1'] = "Average";
$txt['exif_meteringmode_2'] = "Center Weighted Average";
$txt['exif_meteringmode_3'] = "Spot";
$txt['exif_meteringmode_4'] = "Multi-spot";
$txt['exif_meteringmode_5'] = "Pattern";
$txt['exif_meteringmode_6'] = "Partial";
$txt['exif_meteringmode_255'] = "Other";

$txt['exif_lightsource_0'] = "Unknown";
$txt['exif_lightsource_1'] = "Daylight";
$txt['exif_lightsource_2'] = "Fluorescent";
$txt['exif_lightsource_3'] = "Tungsten (incandescent light)";
$txt['exif_lightsource_4'] = "Flash";
$txt['exif_lightsource_9'] = "Fine Weather";
$txt['exif_lightsource_10'] = "Cloudy Weather";
$txt['exif_lightsource_11'] = "Shade";
$txt['exif_lightsource_12'] = "Daylight Fluorescent (D 5700 V 7100K)";
$txt['exif_lightsource_13'] = "Day White Fluorescent (N 4600 V 5400K)";
$txt['exif_lightsource_14'] = "Cool White Fluorescent (W 3900 V 4500K)";
$txt['exif_lightsource_15'] = "White Fluorescent (WW 3200 V 3700K)";
$txt['exif_lightsource_17'] = "Standard light A";
$txt['exif_lightsource_18'] = "Standard light B";
$txt['exif_lightsource_19'] = "Standard light C";
$txt['exif_lightsource_20'] = "D55";
$txt['exif_lightsource_21'] = "D65";
$txt['exif_lightsource_22'] = "D75";
$txt['exif_lightsource_23'] = "D50";
$txt['exif_lightsource_24'] = "ISO Studio Tungsten";
$txt['exif_lightsource_255'] = "other light source";

$txt['exif_flash_0'] = "No Flash"; 
$txt['exif_flash_1'] = "Flash fired"; 
$txt['exif_flash_5'] = "Strobe return light not detected."; 
$txt['exif_flash_7'] = "Strobe return light detected."; 
$txt['exif_flash_9'] = "Flash fired; compulsory flash mode"; 
$txt['exif_flash_13'] = "Flash fired; compulsory flash mode; return light not detected";
$txt['exif_flash_15'] = "Flash fired; compulsory flash mode; return light detected";
$txt['exif_flash_16'] = "Flash did not fire; compulsory flash mode";
$txt['exif_flash_24'] = "Flash did not fire; auto mode";
$txt['exif_flash_25'] = "Flash fired; auto mode";
$txt['exif_flash_29'] = "Flash fired; auto mode; return light not detected";
$txt['exif_flash_31'] = "Flash fired; auto mode; return light detected";
$txt['exif_flash_32'] = "No flash function";
$txt['exif_flash_65'] = "Flash fired; red-eye reduction mode";
$txt['exif_flash_69'] = "Flash fired; red-eye reduction mode; return light not detected";
$txt['exif_flash_71'] = "Flash fired; red-eye reduction mode; return light detected";
$txt['exif_flash_73'] = "Flash fired; compulsory flash mode; red-eye reduction mode";
$txt['exif_flash_77'] = "Flash fired; compulsory flash mode; red-eye reduction mode; return light not detected";
$txt['exif_flash_79'] = "Flash fired; compulsory flash mode; red-eye reduction mode; return light detected";
$txt['exif_flash_89'] = "Flash fired; auto mode; red-eye reduction mode";
$txt['exif_flash_93'] = "Flash fired; auto mode; return light not detected; red-eye reduction mode";
$txt['exif_flash_95'] = "Flash fired; auto mode; return light detected; red-eye reduction mode";

$txt['exif_focallength_1'] = " mm";

$txt['exif_colorspace_1'] = "sRGB";
$txt['exif_colorspace_65535'] = "Uncalibrated";

$txt['exif_focalplaneresolutionunit_1'] = "No Unit";
$txt['exif_focalplaneresolutionunit_2'] = "Inch";
$txt['exif_focalplaneresolutionunit_3'] = "Centimeter";

$txt['exif_sensingmethod_1'] = "Not defined";
$txt['exif_sensingmethod_2'] = "One-chip color area sensor";
$txt['exif_sensingmethod_3'] = "Two-chip color area sensor";
$txt['exif_sensingmethod_4'] = "Three-chip color area sensor";
$txt['exif_sensingmethod_5'] = "Color sequential area sensor";
$txt['exif_sensingmethod_7'] = "Trilinear sensor";
$txt['exif_sensingmethod_8'] = "Color sequential linear sensor";

$txt['exif_filesource_3'] = "Digital Still Camera";

$txt['exif_scenetype_1'] = "A directly photographed image";





?>